<?php

namespace App\Core\Repository\User;

use App\Core\Repository\EleqouentAbstractRepository;
use App\Models\User;

class UserRepository extends EleqouentAbstractRepository
{
    private $user;

    public function __construct(User $user)
    {
        parent::__construct();
        $this->user = $user;
        $this->defaultModel = $this->user;
    }

}
